Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.servlets.controls.content
Class NetuiContent

    java.lang.Object
      |
      +--com.bea.netuix.nf.UIControl
            |
            +--com.bea.netuix.servlets.controls.NetUIxControl
                  |
                  +--com.bea.netuix.servlets.controls.window.AbstractWindowChild
                        |
                        +--com.bea.netuix.servlets.controls.content.AbstractJspContent
                              |
                              +--com.bea.netuix.servlets.controls.content.JspContent
                                    |
                                    +--com.bea.netuix.servlets.controls.content.NetuiContent

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  PageflowContent, StrutsContent

public class NetuiContent
extends JspContent

This call was created to abstract out the dependency from netui

See Also:
  Serialized Form

Field Summary
`protected static Debug` | `debug`

Fields inherited from class com.bea.netuix.servlets.controls.content.AbstractJspContent
`formatter`

Fields inherited from class com.bea.netuix.nf.UIControl
`_cachedRenderData, _cacheExpires, _forkable, _forkPreRender, _forkRender, _invalidateCache, _isCached, _renderCacheable, DEFAULT_CACHE_EXPIRES, lifecycleState, NF_LOADSTATE_LIT, NF_POSTBACK_LIT, RENDER_CHILDREN, RENDER_SKIP_CHILDREN, visitorMap`

Constructor Summary
`NetuiContent()`

Method Summary
`protected boolean` | `handleActionResultRedirect(com.bea.wlw.netui.pageflow.ActionResult actionResult, ScopedResponse response)` If the given ActionResult was a redirect, abort the lifecycle and apply the redirect.

Methods inherited from class com.bea.netuix.servlets.controls.content.JspContent
`beginRender, createInternalRequest, createInternalResponse, dispose, getBackingFile, getContentUri, getCurrentContentUri, handlePostbackData, init, isThreadsafe, loadState, preRender, raiseChangeEvents, saveState, setBackingFile, setCurrentContentUri, setThreadsafe, transferHeaders`

Methods inherited from class com.bea.netuix.servlets.controls.content.AbstractJspContent
`getErrorUri, getRequest, getResponse, getUpdatedRequest, getUpdatedResponse, raiseThrowable, setContentUri, setErrorUri`

Methods inherited from class com.bea.netuix.servlets.controls.window.AbstractWindowChild
`clone, getWindow, setWindow`

Methods inherited from class com.bea.netuix.servlets.controls.NetUIxControl
`addAttribute, addAttribute, fireEndElementSaxEvent, fireStartElementSaxEvent, getAttributes, getControlName, getDefaultPrefix`

Methods inherited from class com.bea.netuix.nf.UIControl
`addBindDataListener, addChild, addChild, addInitListener, addLoadListener, addPreRenderListener, addUpdateModelListener, bindData, cancelPostback, deepToString, doCommand, doCommand, doCommand, endRender, fireBindData, fireInit, fireLoad, firePreRender, fireUpdateModel, getCacheExpires, getChild, getChild, getChildByUniqueId, getChildCount, getChildRecursive, getChildRecursiveByUniqueId, getChildren, getChildrenByMarker, getContext, getControlState, getDataSource, getExcludedEvents, getForkPreRender, getId, getNamingScope, getNavigationScope, getParent, getRenderer, getRootControl, getStateLocation, getUniqueId, getVisitor, getVisitorForLifecycle, getVisitorMap, handleBubbleEvent, handleCommand, hasControls, includeEventInWireup, initializeRoot, invalidateCache, isForkable, isForkRender, isLoadedFromFreshSource, isPostback, isRenderCacheable, isShouldRenderChildren, isSuspended, isViewStateEnabled, isVisible, load, loadStateRecursive, raiseBubbleEvent, reinstatePostback, removeBindDataListener, removeChild, removeChild, removeChildByUniqueId, removeChildren, removeInitListener, removeLoadListener, removePreRenderListener, removeUpdateModelListener, render, renderChildren, saveStateRecursive, setChild, setChildren, setControlState, setDataSource, setId, setIsLoadedFromFreshSource, setNewContext, setRenderer, setShouldRenderChildren, setStateLocation, setSuspended, setViewStateEnabled, setViewStateEnabled, setVisible, setVisitorMap, toString, updateModel`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### debug

    protected static Debug debug

Constructor Detail

### NetuiContent

    public NetuiContent()

Method Detail

### handleActionResultRedirect

    protected boolean handleActionResultRedirect(com.bea.wlw.netui.pageflow.ActionResult actionResult,
                                                 ScopedResponse response)
                                          throws IOException

  If the given ActionResult was a redirect, abort the lifecycle and apply the redirect.

  Returns:
    `true` if a redirect occurred.
    `IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 BEA Systems, Inc. All Rights Reserved